Get Suggested Podcasts by Publication

View as Markdown
Suggests podcasts from the same creator on a specific publication. Takes a podcast ID as path parameter and publication URL in POST body. Returns other podcasts by the same creator within the specified publication.

Path parameters

podcast_idintegerRequired
ID of the source podcast to base suggestions on

Query parameters

categorystringOptional
created_afterdatetimeOptional
created_beforedatetimeOptional
descriptionstringOptional
focus_areastringOptional
generation_statusenumOptional
Current status of podcast generation process * `not_started` - Not Started * `generating_script` - Generating Script * `script_generated` - Script Generated * `generating_audio` - Generating Audio * `completed` - Completed * `failed` - Failed
is_draftbooleanOptional
knowledge_levelenumOptional
Target knowledge level for the podcast audience * `beginner` - Beginner * `intermediate` - Intermediate * `advanced` - Advanced * `expert` - Expert
Allowed values:
max_lengthintegerOptional
min_lengthintegerOptional
pageintegerOptional
A page number within the paginated result set.
page_sizeintegerOptional
Number of results to return per page.
publicationstringOptional
subcategorystringOptional
tagsstringOptional
titlestringOptional
visibilitystringOptional
voice_typestringOptional

Response

List of suggested podcasts by the same creator on the specified publication
countinteger
resultslist of objects
nextstring or nullformat: "uri"
previousstring or nullformat: "uri"

Errors

400
Bad Request Error
404
Not Found Error